# Create Deposit Order

1\. Initiate a bank transfer from your financial institution&#x20;

2\. Provide your bank transfer details via this API&#x20;

3\. Funds will be credited to your balance upon receipt

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/partner/create-topup`

### **Request Body**

&#x20;**Refer to :** [**common**](/issuing-card-api/common.md)

&#x20;**Biz\_data ：**

<table><thead><tr><th width="245.88671875">Name</th><th width="192.734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>order_no<mark style="color:red;">*</mark></td><td>string</td><td>Order Number</td></tr><tr><td>pay_amount<mark style="color:red;">*</mark></td><td>string</td><td>Amount</td></tr><tr><td>pay_currency<mark style="color:red;">*</mark></td><td>string</td><td><p>Currency</p><p>Refer to : <a href="/pages/qe7btns9YHn5kg2P9XYl">currency</a></p></td></tr><tr><td>topup_account_num</td><td>string</td><td>Top-up Account Number</td></tr><tr><td>topup_currency<mark style="color:red;">*</mark></td><td>string</td><td><p>Top-up Currency</p><p>Refer to : <a href="/pages/qe7btns9YHn5kg2P9XYl">currency</a></p></td></tr><tr><td>reference</td><td>string</td><td>Reference</td></tr><tr><td>payment.account_num</td><td>string</td><td>Bank payer account num/IBAN</td></tr><tr><td>payment.bank_name</td><td>string</td><td>Payer Bank Name</td></tr><tr><td>payment.arrive_date</td><td>string</td><td>Expected time of receipt</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "E74B6dda-c1cD-D7dd-aD52-6c5DdFc2",
    "timestamp": "2025-04-07 13:57:01",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "order_no": "7DFEfCd2-3cEA-D757-cBA9-b7DceA4c",
        "pay_amount": "48",
        "pay_currency": "USD",
        "topup_currency": "HKD",
        "reference": "reference",
        "payment": {
            "account_num": "45679876545678876",
            "bank_name": "Test Bank name",
            "arrive_date": "2024-10-12"
        }
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name      | Type | Description |
| --------- | ---- | ----------- |
| order\_id | long | Order Id    |

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "order_id": 101535
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/partner/create-deposit-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
